Radius authentication stops working after upgrading Expedition to 1.2.x

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
L6 Presenter
No ratings

Symptoms

After upgrade Expedition from 1.1.x to 1.2.x , Radius authentication stop working 

Diagnosis

Module php7.0-radius is missing 

Solution

Please follow below steps : 

1) Check if php7.0-radius installed on your VM: 
php -m 
2) If it’s not installed , run below command to install radius php7.0
sudo apt-get install php7.0-radius
3) Remove packages not needed.
sudo apt autoremove
4) Check again if php7.0-radius is installed on the VM 
php -m
5) Confirm php CLI is 7.0
php -version
6) Restart apache2
sudo apache2ctl restart
Rate this article:
Comments
L3 Networker

Hi Lychiang

 

In my case I was installing Expedition fresh on a Ubuntu 20.04 (i cannot remember which Expedition version it was initially).

Also in my case php7-radius was not installed and after following your instructions I had to run the following command:

sudo apache2ctl restart

Regards

Alex

L6 Presenter

@AlexNC , Thank you for reporting the extra step, I will add it in the solution.  

  • 2784 Views
  • 2 comments
  • 0 Likes
  • 267 Subscriptions
Register or Sign-in
Contributors
Article Dashboard
Version history
Last Updated:
‎04-28-2022 08:49 AM
Updated by: